# Interface pour RASPBERRY PI
# Electronique Pratique 2013  

# Importation des librairies necessaires
import RPi.GPIO as GPIO
import time

# On enleve les warnings a l affichage
GPIO.setwarnings(False)

# Configuration en mode Numero de broches
GPIO.setmode(GPIO.BCM)

# Configuration des entrees sorties
GPIO.setup(23,GPIO.OUT)
GPIO.setup(17,GPIO.OUT)
GPIO.setup(22,GPIO.OUT)
GPIO.setup(7,GPIO.OUT)
GPIO.setup(8,GPIO.IN)
GPIO.setup(25,GPIO.IN)
GPIO.setup(24,GPIO.IN)

while True:                     #Bouclage du programme indefiniment CRTL C pour arreter
    GPIO.output(23,GPIO.LOW)    #Extinction du relais sur la broche 23
    time.sleep(1)               #Temporisation de 1 seconde
    GPIO.output(23,GPIO.HIGH)   #Commande du relais sur la broche 23
    time.sleep(1)               #Temporisation de 1 seconde

    GPIO.output(17,GPIO.LOW)    #Extinction de la led connectee broche 17
    GPIO.output(22,GPIO.LOW)    #Extinction de la led connectee broche 22
    GPIO.output(7,GPIO.LOW)     #Extinction de la led connectee broche 7
    time.sleep(0.5)             #Temporisation de 0.5 seconde

    GPIO.output(17,GPIO.HIGH)   #Allumage de la led connectee broche 17
    GPIO.output(22,GPIO.HIGH)   #Allumage de la led connectee broche 22
    GPIO.output(7,GPIO.HIGH)    #Allumage de la led connectee broche 7

    Inter=GPIO.input(8)         #Inter prend l etat du bp connecte sur broche 8
    print "Entree N1 :" , Inter #On affiche a l ecran la valeur de la variable Inter

    Inter=GPIO.input(25)        #Inter prend l etat du bp connecte sur broche 25
    print "Entree N2 :" , Inter #On affiche a l ecran la valeur de la variable Inter

    Inter=GPIO.input(24)        #Inter prend l etat du bp connecte sur broche 24
    print "Entree N3 :" , Inter #On affiche a l ecran la valeur de la variable Inter

    print

    time.sleep(2)               #Temporisation de 2 secondes






